Package org.opensaml.xmlsec.signature.impl

# Class X509DataImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.X509DataImpl

All Implemented Interfaces:
  `XMLObject`, `X509Data`

public class X509DataImpl extends AbstractXMLObject implements X509Data
Concrete implementation of `X509Data`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
`indexedChildren`
The list of XMLObject child elements.

### Fields inherited from interface org.opensaml.xmlsec.signature.X509Data

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509DataImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<X509Certificate>`
`getX509Certificates()`
Get the list of X509Certificate child elements.
`List<X509CRL>`
`getX509CRLs()`
Get the list of X509CRL child elements.
`List<X509Digest>`
`getX509Digests()`
Get the list of X509Digest child elements.
`List<X509IssuerSerial>`
`getX509IssuerSerials()`
Get the list of X509IssuerSerial child elements.
`List<X509SKI>`
`getX509SKIs()`
Get the list of X509SKI child elements.
`List<X509SubjectName>`
`getX509SubjectNames()`
Get the list of X509SubjectName child elements.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all XMLObject children.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of XMLObject children whose type or element QName matches the specified QName.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### indexedChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> indexedChildren
The list of XMLObject child elements.

## Constructor Details

### X509DataImpl

protected X509DataImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getXMLObjects

@Nonnull public List<XMLObject> getXMLObjects()
Get the list of all XMLObject children.

Specified by:
  `getXMLObjects` in interface `X509Data`
Returns:
  the list of XMLObject children

### getXMLObjects

@Nonnull @Live public List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of XMLObject children whose type or element QName matches the specified QName.

Specified by:
  `getXMLObjects` in interface `X509Data`
Parameters:
  `typeOrName` - the QName of the desired elements
Returns:
  the matching list of XMLObject children

### getX509IssuerSerials

@Nonnull @Live public List<X509IssuerSerial> getX509IssuerSerials()
Get the list of X509IssuerSerial child elements.

Specified by:
  `getX509IssuerSerials` in interface `X509Data`
Returns:
  the list of X509IssuerSerial child elements

### getX509SKIs

@Nonnull @Live public List<X509SKI> getX509SKIs()
Get the list of X509SKI child elements.

Specified by:
  `getX509SKIs` in interface `X509Data`
Returns:
  the list of X509SKI child elements

### getX509SubjectNames

@Nonnull @Live public List<X509SubjectName> getX509SubjectNames()
Get the list of X509SubjectName child elements.

Specified by:
  `getX509SubjectNames` in interface `X509Data`
Returns:
  the list of X509SubjectName child elements

### getX509Certificates

@Nonnull @Live public List<X509Certificate> getX509Certificates()
Get the list of X509Certificate child elements.

Specified by:
  `getX509Certificates` in interface `X509Data`
Returns:
  the list of X509Certificate child elements

### getX509CRLs

@Nonnull @Live public List<X509CRL> getX509CRLs()
Get the list of X509CRL child elements.

Specified by:
  `getX509CRLs` in interface `X509Data`
Returns:
  the list of X509CRL child elements

### getX509Digests

@Nonnull @Live public List<X509Digest> getX509Digests()
Get the list of X509Digest child elements.

Specified by:
  `getX509Digests` in interface `X509Data`
Returns:
  the list of X509Digest child elements

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements